package solution.school;

public class GradStudent extends Student {
  private String advisor;

  public GradStudent(String name, String email) {
    super(name, email);
    advisor = "TBA";
  }

  public GradStudent(String name, String email, String advisor) {
    super(name, email);
    this.advisor = advisor;
  }

  public String getAdvisor() {
    return advisor;
  }

  public void setAdvisor(String advisor) {
    this.advisor = advisor;
  }

  @Override
  public String getName() {
    return "I'm grad student " + super.getName();
  }

  public String toString() {
    return super.getName() + " " + getEmail();
  }
}
